LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
Introspection Service Referencepublished

A legacy (single-instance) service variant of theIntrospection singleton. More...

`import"Introspection.idl";`

Inheritance diagram for Introspection:

## Additional Inherited Members
Public Member Functions inherited from XIntrospection
com::sun::star::beans::XIntrospectionAccess | inspect ([in] any aObject)
| inspects the given object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A legacy (single-instance) service variant of theIntrospection singleton.

Deprecated:
  Use theIntrospection instead.

Developers Guide
  Advanced UNO - UNO Reflection API

The documentation for this service was generated from the following file:

- com/sun/star/beans/Introspection.idl